Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.util
Class StringCharCursor

    java.lang.Object
      |
      +--com.caucho.util.CharCursor
            |
            +--com.caucho.util.StringCharCursor

All Implemented Interfaces:
  java.text.CharacterIterator, java.lang.Cloneable

public class StringCharCursor
extends CharCursor

Fields inherited from interface java.text.CharacterIterator
`DONE`

Constructor Summary
`StringCharCursor(java.lang.String string)`
`StringCharCursor(java.lang.String string, int offset)`

Method Summary
`java.lang.Object` | `clone()`
`char` | `current()`
`int` | `getBeginIndex()`
`int` | `getEndIndex()`
`int` | `getIndex()` returns the current location of the cursor
`void` | `init(java.lang.String string)`
`char` | `next()` reads a character from the cursor
`char` | `previous()` reads a character from the cursor
`char` | `setIndex(int pos)` sets the cursor to the position
`char` | `skip(int n)` Skips the next n characters

Methods inherited from class com.caucho.util.CharCursor
`first, last, prev, read, regionMatches, regionMatchesIgnoreCase, subseq, subseq`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringCharCursor

    public StringCharCursor(java.lang.String string)

### StringCharCursor

    public StringCharCursor(java.lang.String string,
                            int offset)

Method Detail

### getIndex

    public int getIndex()

  returns the current location of the cursor
  Overrides:
    `getIndex` in class `CharCursor`

### getBeginIndex

    public int getBeginIndex()

  Overrides:
    `getBeginIndex` in class `CharCursor`

### getEndIndex

    public int getEndIndex()

  Overrides:
    `getEndIndex` in class `CharCursor`

### setIndex

    public char setIndex(int pos)

  sets the cursor to the position
  Overrides:
    `setIndex` in class `CharCursor`

### next

    public char next()

  reads a character from the cursor
  Overrides:
    `next` in class `CharCursor`
  Returns:
    -1 on EOF

### previous

    public char previous()

  reads a character from the cursor
  Overrides:
    `previous` in class `CharCursor`
  Returns:
    -1 on EOF

### current

    public char current()

  Overrides:
    `current` in class `CharCursor`

### skip

    public char skip(int n)

  Skips the next n characters
  Overrides:
    `skip` in class `CharCursor`

### init

    public void init(java.lang.String string)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `CharCursor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD